#!/bin/sh -e

# Create required directories with appropriate permissions
mkdir -p /app/run/caddy /app/run/gunicorn

# Set Caddy config location
export XDG_CONFIG_HOME="/app/config"

echo "Applying database migrations"
python -m hub migrate

echo "Starting Caddy"
exec caddy run --config /app/config/caddy/Caddyfile --adapter caddyfile 2>&1 &

echo "Starting Gunicorn"
exec \
    gunicorn \
    -w 4 \
    --access-logfile - \
    --error-log - \
    --capture-output \
    --pythonpath /app/.venv/lib/python3.13/site-packages/ \
    --bind unix:/app/run/gunicorn.sock \
    hub.wsgi:application
